libfreehand::FHDisplayText Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libfreehand::FHDisplayText Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHDisplayText ()

## Public Attributes
unsigned | m_graphicStyleId
unsigned | m_xFormId
double | m_startX
double | m_startY
double | m_width
double | m_height
std::vector< FH3CharProperties > | m_charProps
int | m_justify
std::vector< FH3ParaProperties > | m_paraProps
std::vector< unsigned char > | m_characters

## Constructor & Destructor Documentation

## ◆ FHDisplayText()

libfreehand::FHDisplayText::FHDisplayText | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_characters

std::vector<unsigned char> libfreehand::FHDisplayText::m_characters

Referenced by libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

## ◆ m_charProps

std::vector<FH3CharProperties> libfreehand::FHDisplayText::m_charProps

Referenced by libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

## ◆ m_graphicStyleId

unsigned libfreehand::FHDisplayText::m_graphicStyleId

Referenced by libfreehand::FHParser::readDisplayText().

## ◆ m_height

double libfreehand::FHDisplayText::m_height

Referenced by libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

## ◆ m_justify

int libfreehand::FHDisplayText::m_justify

Referenced by libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

## ◆ m_paraProps

std::vector<FH3ParaProperties> libfreehand::FHDisplayText::m_paraProps

Referenced by libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

## ◆ m_startX

double libfreehand::FHDisplayText::m_startX

Referenced by libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

## ◆ m_startY

double libfreehand::FHDisplayText::m_startY

Referenced by libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

## ◆ m_width

double libfreehand::FHDisplayText::m_width

Referenced by libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

## ◆ m_xFormId

unsigned libfreehand::FHDisplayText::m_xFormId

Referenced by libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_outputDisplayText(), and libfreehand::FHParser::readDisplayText().

The documentation for this struct was generated from the following file:

- FHTypes.h